#!/usr/bin/env python3

from distutils.core import setup
from distutils.command.bdist_rpm import bdist_rpm
import sys


class my_bdist_rpm(bdist_rpm):
    def __init__(self, *args, **kwargs):
        bdist_rpm.__init__(self, *args, **kwargs)
        self._alter_name()

    def _alter_name(self):
        """Prepend "python-" or "python3-" in package name."""
        if sys.version_info.major == 3:
            prefix = 'python3-'
        else:
            prefix = 'python-'
        self.distribution.metadata.name = prefix + self.distribution.metadata.name


setup(
    name='pycolib',
    version='0.0.1',
    description='Library of small auxiliary modules',
    author='Radek Brich',
    author_email='radek.brich@devl.cz',
    url='http://hg.devl.cz/pycolib',
    packages=['pycolib'],
    cmdclass={'bdist_rpm': my_bdist_rpm},
)

